/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.platform.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 字典目录
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-01-19 11:08:15  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "字典目录")
public class CltDictCatalog extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_catalogCode = "catalogCode";
  public static final String KEY_catalogName = "catalogName";
  public static final String KEY_dictLocal = "dictLocal";
  public static final String KEY_systemDefault = "systemDefault";
  public static final String KEY_enabled = "enabled";
  public static final String KEY_show = "show";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_tenantId = "tenantId";

  /**
   * 主键ID<br>
   */
  @ApiModelProperty("主键ID")
  @Size(max = 32, message="主键ID-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 字典类型编码<br>
   */
  @ApiModelProperty("字典类型编码")
  @Size(max = 30, message="字典类型编码-catalogCode: 数据长度不能 > 30" )
  private String catalogCode;
  /**
   * 字典类型名称<br>
   */
  @ApiModelProperty("字典类型名称")
  @Size(max = 255, message="字典类型名称-catalogName: 数据长度不能 > 255" )
  private String catalogName;
  /**
   * 语言地区<br>
   */
  @ApiModelProperty("语言地区")
  @Size(max = 20, message="语言地区-dictLocal: 数据长度不能 > 20" )
  private String dictLocal;
  /**
   * 是否系统默认（0否 1是）<br>
   */
  @ApiModelProperty("是否系统默认（0否 1是）")
  private Boolean systemDefault;
  /**
   * 是否启用（0禁用 1启用）<br>
   */
  @ApiModelProperty("是否启用（0禁用 1启用）")
  private Boolean enabled;
  /**
   * 是否展示（0不展示 1展示）<br>
   */
  @ApiModelProperty("是否展示（0不展示 1展示）")
  private Boolean show;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;
  /**
   * 租户<br>
   */
  @ApiModelProperty("租户")
  @Size(max = 32, message="租户-tenantId: 数据长度不能 > 32" )
  private String tenantId;

  /**
   * 主键ID<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键ID<br>
   *
   * @param id 主键ID
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 字典类型编码<br>
   */
  public String getCatalogCode()
  {
      return catalogCode;
    }

  /**
   * 字典类型编码<br>
   *
   * @param catalogCode 字典类型编码
   */
  public void setCatalogCode(String catalogCode)
  {
      this.catalogCode = catalogCode;
    }
  /**
   * 字典类型名称<br>
   */
  public String getCatalogName()
  {
      return catalogName;
    }

  /**
   * 字典类型名称<br>
   *
   * @param catalogName 字典类型名称
   */
  public void setCatalogName(String catalogName)
  {
      this.catalogName = catalogName;
    }
  /**
   * 语言地区<br>
   */
  public String getDictLocal()
  {
      return dictLocal;
    }

  /**
   * 语言地区<br>
   *
   * @param dictLocal 语言地区
   */
  public void setDictLocal(String dictLocal)
  {
      this.dictLocal = dictLocal;
    }
  /**
   * 是否系统默认（0否 1是）<br>
   */
  public Boolean getSystemDefault()
  {
      return systemDefault;
    }

  /**
   * 是否系统默认（0否 1是）<br>
   *
   * @param systemDefault 是否系统默认（0否 1是）
   */
  public void setSystemDefault(Boolean systemDefault)
  {
      this.systemDefault = systemDefault;
    }
  /**
   * 是否启用（0禁用 1启用）<br>
   */
  public Boolean getEnabled()
  {
      return enabled;
    }

  /**
   * 是否启用（0禁用 1启用）<br>
   *
   * @param enabled 是否启用（0禁用 1启用）
   */
  public void setEnabled(Boolean enabled)
  {
      this.enabled = enabled;
    }
  /**
   * 是否展示（0不展示 1展示）<br>
   */
  public Boolean getShow()
  {
      return show;
    }

  /**
   * 是否展示（0不展示 1展示）<br>
   *
   * @param show 是否展示（0不展示 1展示）
   */
  public void setShow(Boolean show)
  {
      this.show = show;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 租户<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户<br>
   *
   * @param tenantId 租户
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public CltDictCatalog()
  {
  }

}
